PDA

View Full Version : FC9 package install issues



zozeer
24th January 2009, 07:14 PM
Im trying to install vmware player, the first install reported no errors. But failed to put anything anywhere. So I tried the following:


[zozeer@Echotest Download]#sudo rpm -i VMware-Player-2.5.1*.rpm
package VMware-Player-2.5.1-126130.i386 is already installed
[zozeer@Echotest Download]#sudo rpm -e VMware-Player-2.5.1*.rpm
error: package VMware-Player-2.5.1-126130.i386.rpm is not installed

Im kind of at a loss for how to handle this, as I've never seen it.

Thanks,
-Zoz

zozeer
24th January 2009, 07:26 PM
Some further googling found that I am specifying a version # and don't need to in the uninstall line.

/me facepalm

Hlingler
24th January 2009, 07:27 PM
Probably a bad %postuninstall script. Try:
rpm -q VMware-Player

Assuming that VMware-Player-2.5.1 is not listed, clear the RPM database:
rpm -ev --justdb VMware-Player-2.5.1

Then try the install again. Alternatively, you can just force a re-install/over-write:
rpm -ivh --replacepackages --replacefiles VMware-Player-2.5.1

V